{% extends 'AppBundle::public_layout.html.twig' %}
{% set site = site_helper.getSite() %}
{% block meta %}
    {% set pageDescription = post.description %}
    {% set pageKeywords = post.keywords %}
    {% if post and post.image %}
        {% set pageImage = app.request.getSchemeAndHttpHost() ~ asset('media/images/')~post.image.filename %}
    {% endif %}
    {% set pageTitle = post.title %}
    {% include 'AppBundle:Site:meta.html.twig' %}
{% endblock %}

{% block columnTitle %}
{% endblock %}

{% block pageTitle %}
    <br>
    <div class="col-sm-1 col-sm-offset-1">
        <div style="background-color: #000000; min-width: 50px;min-height: 50px;color:#000000;max-width: 50px">A</div>
    </div>
    <div class="col-sm-10" style="color:#000000">
        <h1>> {{ post.title }}</h1>
    </div>
{% endblock %}
{% block columnImage %}
{% endblock %}
{% block column %}
    <div style="margin-top: 50%">
        {% if site %}
        <img src="{{ asset('media/images/')~site.logo.filename}}"
             alt="{{ site.logo.description }}" style="max-width: 100%">
        {% endif %}
    </div>
{% endblock %}

{% block innerPage %}
    <div style="margin-bottom: 50px; color:#000000">
        {% if post.image and not post.hideImage is same as(true) %}
        <br>
        <br><div class="innerPage">
            <img src="{{ asset('media/images/')~post.image.filename}}"
                 alt="{{ post.image.description}}" style="max-width: 100%">
        </div>
            {% endif %}
        {% if post.video %}
            <br>
            <br>
            <div class="innerVideo">
                <iframe width="560" height="315"  src="{{ post.video }}" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
        </div>
        {% endif %}
        <br>
        {{ post.htmlContent |raw }}

    </div>

{% endblock %}